clc;
n=26;
F = [1 1
    -3 1
    1 -3];

if (n<=10)
    y1 = -2*n;
    y2 = -6*n;
    f = [F(1,1) F(1,2)];
    x1_1 = F(2,1); x2_1 = F(2,2);
    x1_2 = F(3,1); x2_2 = F(3,2);
elseif (n<=20)
    y1 = 5*n;
    y2 = -6*n;
    f = [F(2,1) F(2,2)];
    x1_1 = F(1,1); x2_1 = F(1,2);
    x1_2 = F(3,1); x2_2 = F(3,2);
else
    y1 = 4*n;
    y2 = -2*n;
    f = [F(3,1) F(3,2)];
    x1_1 = F(1,1); x2_1 = F(1,2);
    x1_2 = F(2,1); x2_2 = F(2,2);
end

A = [-1 -1
    1 -2
    -3 2
    -1 0
    1 0
    0 -1
    0 1
    -x1_1 -x2_1
    -x1_2 -x2_2];

b = [-2*n n 2*n 0 4*n 0 3*n -y1 -y2];
x = linprog(-f,A,b);
disp(x);

F1=F(1,1)*x(1,1)+F(1,2)*x(2,1);
fprintf("F1(P) = ");
disp(F1);
F2=F(2,1)*x(1,1)+F(2,2)*x(2,1);
fprintf("F2(P) = ");
disp(F2);
F3=F(3,1)*x(1,1)+F(3,2)*x(2,1);
fprintf("F3(P) = ");
disp(F3);
